complexType "Address"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 5 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | streetAddress?, city?, state?, country?, postalCode?
</...>

Content Model Elements (5):

  city, country (defined in Address complexType), postalCode, | state, streetAddress

All Direct / Indirect Based Elements (2):

  address, routingAddress

Known Usage Locations

- As direct type of elements (2):
  address, routingAddress

Annotation
A type that represents a physical postal address.
XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="Address"> <xsd:sequence> <xsd:element minOccurs="0" name="streetAddress" type="StreetAddress"/> <xsd:element minOccurs="0" name="city" type="xsd:string"/> <xsd:element minOccurs="0" name="state" type="xsd:string"/> <xsd:element minOccurs="0" name="country" type="CountryCode"/> <xsd:element minOccurs="0" name="postalCode" type="xsd:string"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/5)
city

  Type: | xsd:string, predefined, simple content

  The city component of a postal address.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="city" type="xsd:string"/>

country

  Type: | CountryCode, simple content

  The ISO 3166 standard code for the country within which the postal address is located.
  Simple Content

  xsd:token

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="country" type="CountryCode"/>

postalCode

  Type: | xsd:string, predefined, simple content

  The code, required for computerised mail sorting systems, that is allocated to a physical address by a national postal authority.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="postalCode" type="xsd:string"/>

state

  Type: | xsd:string, predefined, simple content

  A country subdivision used in postal addresses in some countries. For example, US states, Canadian provinces, Swiss cantons.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="state" type="xsd:string"/>

streetAddress

  Type: | StreetAddress, complex content

  The set of street and building number information that identifies a postal address within a city.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="streetAddress" type="StreetAddress"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.